import type { UmbCollectionItemModel } from '../../item/types.js';
import type { Observable } from '../../../../../external/rxjs/index.js';
import type { UmbApi } from '../../../../../libs/extension-api/index.js';
import type { UmbContextMinimal } from '../../../../../libs/context-api/index.js';
export interface UmbCollectionMenuItemContext<CollectionMenuItemType extends UmbCollectionItemModel = UmbCollectionItemModel> extends UmbApi, UmbContextMinimal {
    item: Observable<CollectionMenuItemType | undefined>;
    isSelectable: Observable<boolean>;
    isSelected: Observable<boolean>;
    getItem(): CollectionMenuItemType | undefined;
    setItem(item: CollectionMenuItemType | undefined): void;
    select(): void;
    deselect(): void;
}
